# apt-log

`apt-log` is a command-line tool that offers a user-friendly display and convenient filtering for APT package logs.

The package also contains a Python module that provides a parser and high-level interface to APT package logs.

## Quick Navigation

- [Installation](#installation)
- [Usage](#usage)
- [License](#license)

## Installation

Requires Python version 3.9 or higher and pip.

```bash
pip install apt-log
```

## Usage

Expore the entire history

```bash
apt-log list
```

### Quick filters

- by time range:

  ```bash
  apt-log list -s 2023-01-01 -e 2023-01-31
  ```

- by a specific package or multiple packages using glob-style pattern matching:

  ```bash
  apt-log list -n python3
  apt-log list -n 'python3.*'
  ```

### Dive into details

Inspect a specific log entry using the assigned ID in the list.

```bash
apt-log show 13
```

**Note:** The IDs are not generated by APT itself but are assigned by `apt-log` in ascending chronological order. Be aware that any manipulation of APT log files, such as the deletion of old log files, may result in changes to these IDs.

## License

`apt-log` is distributed under the terms of the MIT License.
